package com.njzscloud.common.security.contant;

import com.njzscloud.common.core.ienum.DictStr;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 字典代码：endpoint_access_model
 * 字典名称：接口访问模式
 */
@Getter
@RequiredArgsConstructor
public enum EndpointAccessModel implements DictStr {
    ANONYMOUS("Anonymous", "允许匿名访问"),
    LOGINED("Logined", "允许已登录用户访问"),
    AUTHENTICATED("Authenticated", "仅拥有权限的用户访问"),
    FORBIDDEN("Forbidden", "禁止访问"),
    ;

    private final String val;
    private final String txt;
}
